Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zopt.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zopt.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zopt.F90	(revision 4147)
@@ -28,15 +28,15 @@
    PUBLIC   p2z_opt_init   !
 
-   REAL(wp), PUBLIC ::  xkr0   = 0.0232_wp   !: water coefficient absorption in red      
-   REAL(wp), PUBLIC ::  xkg0   = 0.225_wp    !: water coefficient absorption in green    
-   REAL(wp), PUBLIC ::  xkrp   = 0.074_wp    !: pigment coefficient absorption in red    
-   REAL(wp), PUBLIC ::  xkgp   = 0.037_wp    !: pigment coefficient absorption in green  
-   REAL(wp), PUBLIC ::  xlr    = 0.674_wp    !: exposant for pigment absorption in red  
-   REAL(wp), PUBLIC ::  xlg    = 0.629_wp    !: exposant for pigment absorption in green 
-   REAL(wp), PUBLIC ::  rpig   = 0.7_wp      !: chla/chla+phea ratio    
+   REAL(wp), PUBLIC ::  xkr0      !: water coefficient absorption in red      
+   REAL(wp), PUBLIC ::  xkg0      !: water coefficient absorption in green    
+   REAL(wp), PUBLIC ::  xkrp      !: pigment coefficient absorption in red    
+   REAL(wp), PUBLIC ::  xkgp      !: pigment coefficient absorption in green  
+   REAL(wp), PUBLIC ::  xlr       !: exposant for pigment absorption in red  
+   REAL(wp), PUBLIC ::  xlg       !: exposant for pigment absorption in green 
+   REAL(wp), PUBLIC ::  rpig      !: chla/chla+phea ratio    
    !                 
-   REAL(wp), PUBLIC ::  rcchl  =  60_wp      ! Carbone/Chlorophyl ratio [mgC.mgChla-1]
-   REAL(wp), PUBLIC ::  redf   = 6.56_wp     ! redfield ratio (C:N) for phyto
-   REAL(wp), PUBLIC ::  reddom = 6.56_wp     ! redfield ratio (C:N) for DOM
+   REAL(wp), PUBLIC ::  rcchl     ! Carbone/Chlorophyl ratio [mgC.mgChla-1]
+   REAL(wp), PUBLIC ::  redf      ! redfield ratio (C:N) for phyto
+   REAL(wp), PUBLIC ::  reddom    ! redfield ratio (C:N) for DOM
 
    !!* Substitution
@@ -164,8 +164,15 @@
       NAMELIST/namlobopt/ xkg0, xkr0, xkgp, xkrp, xlg, xlr, rpig
       NAMELIST/namlobrat/ rcchl, redf, reddom
+      INTEGER :: ios                 ! Local integer output status for namelist read
       !!----------------------------------------------------------------------
 
-      REWIND( numnatp )
-      READ  ( numnatp, namlobopt )
+      REWIND( numnatp_ref )              ! Namelist namlobopt in reference namelist : Lobster options
+      READ  ( numnatp_ref, namlobopt, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namlobopt in reference namelist', lwp )
+
+      REWIND( numnatp_cfg )              ! Namelist namlobopt in configuration namelist : Lobster options
+      READ  ( numnatp_cfg, namlobopt, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namlobopt in configuration namelist', lwp )
+      WRITE ( numonp, namlobopt )
 
       IF(lwp) THEN
@@ -182,6 +189,12 @@
       ENDIF
       !
-      REWIND( numnatp )
-      READ  ( numnatp, namlobrat )
+      REWIND( numnatp_ref )              ! Namelist namlobrat in reference namelist : Lobster ratios
+      READ  ( numnatp_ref, namlobrat, IOSTAT = ios, ERR = 903)
+903   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namlobrat in reference namelist', lwp )
+
+      REWIND( numnatp_cfg )              ! Namelist namlobrat in configuration namelist : Lobster ratios
+      READ  ( numnatp_cfg, namlobrat, IOSTAT = ios, ERR = 904 )
+904   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namlobrat in configuration namelist', lwp )
+      WRITE ( numonp, namlobrat )
 
       IF(lwp) THEN
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zsed.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zsed.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zsed.F90	(revision 4147)
@@ -29,8 +29,8 @@
    PUBLIC   p2z_sed_init    ! called in ???
 
-   REAL(wp), PUBLIC ::   sedlam     = 3.86e-7   !: time coefficient of POC remineralization in sediments
-   REAL(wp), PUBLIC ::   sedlostpoc = 0.        ! mass of POC lost in sediments 
-   REAL(wp), PUBLIC ::   vsed       = 3.47e-5   ! detritus sedimentation speed [m/s] 
-   REAL(wp), PUBLIC ::   xhr        = -0.858    ! coeff for martin''s remineralisation profile
+   REAL(wp), PUBLIC ::   sedlam      !: time coefficient of POC remineralization in sediments
+   REAL(wp), PUBLIC ::   sedlostpoc  ! mass of POC lost in sediments 
+   REAL(wp), PUBLIC ::   vsed        ! detritus sedimentation speed [m/s] 
+   REAL(wp), PUBLIC ::   xhr         ! coeff for martin''s remineralisation profile
 
    !!* Substitution
@@ -151,7 +151,14 @@
       !!----------------------------------------------------------------------
       NAMELIST/namlobsed/ sedlam, sedlostpoc, vsed, xhr
+      INTEGER :: ios                 ! Local integer output status for namelist read
 
-      REWIND( numnatp )
-      READ  ( numnatp, namlobsed )
+      REWIND( numnatp_ref )              ! Namelist namlobsed in reference namelist : Lobster sediments
+      READ  ( numnatp_ref, namlobsed, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namlosed in reference namelist', lwp )
+
+      REWIND( numnatp_cfg )              ! Namelist namlobsed in configuration namelist : Lobster sediments
+      READ  ( numnatp_cfg, namlobsed, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namlobsed in configuration namelist', lwp )
+      WRITE ( numonp, namlobsed )
 
       IF(lwp) THEN
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zsms.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zsms.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zsms.F90	(revision 4147)
@@ -15,4 +15,5 @@
    USE oce_trc          !
    USE trc
+   USE sms_pisces
    USE p2zbio
    USE p2zopt
@@ -66,4 +67,5 @@
       IF( lk_trdmld_trc )  CALL trd_mld_bio( kt )   ! trends: Mixed-layer
       !
+      IF ( kt == nittrc000 ) CALL FLUSH    ( numonp )     ! flush output namelist PISCES
       IF( nn_timing == 1 )  CALL timing_stop('p2z_sms')
       !
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zfechem.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zfechem.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zfechem.F90	(revision 4147)
@@ -31,9 +31,9 @@
 
    !! * Shared module variables
-   LOGICAL          ::  ln_fechem  = .FALSE.    !: boolean for complex iron chemistry following Tagliabue and voelker
-   LOGICAL          ::  ln_ligvar  = .FALSE.    !: boolean for variable ligand concentration following Tagliabue and voelker
-   REAL(wp), PUBLIC ::  xlam1      = 0.005_wp   !: scavenging rate of Iron 
-   REAL(wp), PUBLIC ::  xlamdust   = 150.0_wp   !: scavenging rate of Iron by dust 
-   REAL(wp), PUBLIC ::  ligand     = 0.6E-9_wp  !: ligand concentration in the ocean 
+   LOGICAL          ::  ln_fechem    !: boolean for complex iron chemistry following Tagliabue and voelker
+   LOGICAL          ::  ln_ligvar    !: boolean for variable ligand concentration following Tagliabue and voelker
+   REAL(wp), PUBLIC ::  xlam1        !: scavenging rate of Iron 
+   REAL(wp), PUBLIC ::  xlamdust     !: scavenging rate of Iron by dust 
+   REAL(wp), PUBLIC ::  ligand       !: ligand concentration in the ocean 
 
    REAL(wp) :: kl1, kl2, kb1, kb2, ks, kpr, spd, con, kth
@@ -342,7 +342,14 @@
       !!----------------------------------------------------------------------
       NAMELIST/nampisfer/ ln_fechem, ln_ligvar, xlam1, xlamdust, ligand 
-
-      REWIND( numnatp )                     ! read numnatp
-      READ  ( numnatp, nampisfer )
+      INTEGER :: ios                 ! Local integer output status for namelist read
+
+      REWIND( numnatp_ref )              ! Namelist nampisfer in reference namelist : Pisces iron chemistry
+      READ  ( numnatp_ref, nampisfer, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisfer in reference namelist', lwp )
+
+      REWIND( numnatp_cfg )              ! Namelist nampisfer in configuration namelist : Pisces iron chemistry
+      READ  ( numnatp_cfg, nampisfer, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisfer in configuration namelist', lwp )
+      WRITE ( numonp, nampisfer )
 
       IF(lwp) THEN                         ! control print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zflx.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zflx.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zflx.F90	(revision 4147)
@@ -37,9 +37,9 @@
    PUBLIC   p4z_flx_alloc  
 
-   !                                      !!** Namelist  nampisext  **
-   REAL(wp)          ::  atcco2    = 278._wp       !: pre-industrial atmospheric [co2] (ppm) 	
-   LOGICAL           ::  ln_co2int = .FALSE.       !: flag to read in a file and interpolate atmospheric pco2 or not
-   CHARACTER(len=34) ::  clname    = 'atcco2.txt'  !: filename of pco2 values
-   INTEGER           ::  nn_offset = 0             !: Offset model-data start year (default = 0) 
+   !                               !!** Namelist  nampisext  **
+   REAL(wp)          ::  atcco2     !: pre-industrial atmospheric [co2] (ppm) 	
+   LOGICAL           ::  ln_co2int  !: flag to read in a file and interpolate atmospheric pco2 or not
+   CHARACTER(len=34) ::  clname     !: filename of pco2 values
+   INTEGER           ::  nn_offset  !: Offset model-data start year (default = 0) 
 
    !!  Variables related to reading atmospheric CO2 time history    
@@ -47,6 +47,6 @@
    INTEGER  :: nmaxrec, numco2
 
-   !                                         !!* nampisatm namelist (Atmospheric PRessure) *
-   LOGICAL, PUBLIC ::   ln_presatm = .true.  !: ref. pressure: global mean Patm (F) or a constant (F)
+   !                               !!* nampisatm namelist (Atmospheric PRessure) *
+   LOGICAL, PUBLIC ::   ln_presatm  !: ref. pressure: global mean Patm (F) or a constant (F)
 
    REAL(wp) , ALLOCATABLE, SAVE, DIMENSION(:,:)  ::  patm      ! atmospheric pressure at kt                 [N/m2]
@@ -239,8 +239,16 @@
       NAMELIST/nampisext/ln_co2int, atcco2, clname, nn_offset
       INTEGER :: jm
-      !!----------------------------------------------------------------------
-      !
-      REWIND( numnatp )                     ! read numnatp
-      READ  ( numnatp, nampisext )
+      INTEGER :: ios                 ! Local integer output status for namelist read
+      !!----------------------------------------------------------------------
+      !
+
+      REWIND( numnatp_ref )              ! Namelist nampisext in reference namelist : Pisces atm. conditions
+      READ  ( numnatp_ref, nampisext, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisext in reference namelist', lwp )
+
+      REWIND( numnatp_cfg )              ! Namelist nampisext in configuration namelist : Pisces atm. conditions
+      READ  ( numnatp_cfg, nampisext, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisext in configuration namelist', lwp )
+      WRITE ( numonp, nampisext )
       !
       IF(lwp) THEN                         ! control print
@@ -302,4 +310,5 @@
       !
       INTEGER            ::  ierr
+      INTEGER            ::  ios      ! Local integer output status for namelist read
       CHARACTER(len=100) ::  cn_dir   ! Root directory for location of ssr files
       TYPE(FLD_N)        ::  sn_patm  ! informations about the fields to be read
@@ -307,16 +316,16 @@
       NAMELIST/nampisatm/ ln_presatm, sn_patm, cn_dir
 
-      !                                         ! -------------------- !
+      !                                         ! ----------------------- !
       IF( kt == nit000 ) THEN                   ! First call kt=nittrc000 !
-         !                                      ! -------------------- !
-         !                                            !* set file information (default values)
-         ! ... default values (NB: frequency positive => hours, negative => months)
-         !            !   file   ! frequency !  variable  ! time intep !  clim   ! 'yearly' or ! weights  ! rotation !
-         !            !   name   !  (hours)  !   name     !   (T/F)    !  (T/F)  !  'monthly'  ! filename ! pairs    !
-         sn_patm = FLD_N( 'pres'  ,    24     ,  'patm'    ,  .false.   , .true.  ,   'yearly'  , ''       , ''       )
-         cn_dir  = './'          ! directory in which the Patm data are 
-
-         REWIND( numnatp )                             !* read in namlist nampisatm
-         READ  ( numnatp, nampisatm ) 
+         !                                      ! ----------------------- !
+
+         REWIND( numnatp_ref )              ! Namelist nampisatm in reference namelist : Pisces atm. sea level pressure file
+         READ  ( numnatp_ref, nampisatm, IOSTAT = ios, ERR = 901)
+901      IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisatm in reference namelist', lwp )
+
+         REWIND( numnatp_cfg )              ! Namelist nampisatm in configuration namelist : Pisces atm. sea level pressure file 
+         READ  ( numnatp_cfg, nampisatm, IOSTAT = ios, ERR = 902 )
+902      IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisatm in configuration namelist', lwp )
+         WRITE ( numonp, nampisatm )
          !
          !
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zlim.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zlim.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zlim.F90	(revision 4147)
@@ -28,23 +28,23 @@
 
    !! * Shared module variables
-   REAL(wp), PUBLIC ::  concnno3  = 1.e-6_wp      !:  NO3, PO4 half saturation   
-   REAL(wp), PUBLIC ::  concdno3  = 2.e-6_wp      !:  Phosphate half saturation for diatoms  
-   REAL(wp), PUBLIC ::  concnnh4  = 1.e-7_wp      !:  NH4 half saturation for phyto  
-   REAL(wp), PUBLIC ::  concdnh4  = 2.e-7_wp      !:  NH4 half saturation for diatoms
-   REAL(wp), PUBLIC ::  concnfer  = 1.e-9_wp      !:  Iron half saturation for nanophyto 
-   REAL(wp), PUBLIC ::  concdfer  = 2.e-9_wp      !:  Iron half saturation for diatoms  
-   REAL(wp), PUBLIC ::  concbno3  = 2.5e-7_wp      !:  NO3 half saturation  for bacteria 
-   REAL(wp), PUBLIC ::  concbnh4  = 2.5e-8_wp      !:  NH4 half saturation for bacteria
-   REAL(wp), PUBLIC ::  xsizedia  = 5.e-7_wp      !:  Minimum size criteria for diatoms
-   REAL(wp), PUBLIC ::  xsizephy  = 1.e-6_wp      !:  Minimum size criteria for nanophyto
-   REAL(wp), PUBLIC ::  xsizern   = 3.0_wp        !:  Size ratio for nanophytoplankton
-   REAL(wp), PUBLIC ::  xsizerd   = 4.0_wp        !:  Size ratio for diatoms
-   REAL(wp), PUBLIC ::  xksi1     = 2.E-6_wp      !:  half saturation constant for Si uptake 
-   REAL(wp), PUBLIC ::  xksi2     = 3.33e-6_wp    !:  half saturation constant for Si/C 
-   REAL(wp), PUBLIC ::  xkdoc     = 417.e-6_wp    !:  2nd half-sat. of DOC remineralization  
-   REAL(wp), PUBLIC ::  concbfe   = 1.E-11_wp     !:  Fe half saturation for bacteria 
-   REAL(wp), PUBLIC ::  qnfelim   = 7.E-6_wp      !:  optimal Fe quota for nanophyto
-   REAL(wp), PUBLIC ::  qdfelim   = 7.E-6_wp      !:  optimal Fe quota for diatoms
-   REAL(wp), PUBLIC ::  caco3r    = 0.16_wp       !:  mean rainratio 
+   REAL(wp), PUBLIC ::  concnno3    !:  NO3, PO4 half saturation   
+   REAL(wp), PUBLIC ::  concdno3    !:  Phosphate half saturation for diatoms  
+   REAL(wp), PUBLIC ::  concnnh4    !:  NH4 half saturation for phyto  
+   REAL(wp), PUBLIC ::  concdnh4    !:  NH4 half saturation for diatoms
+   REAL(wp), PUBLIC ::  concnfer    !:  Iron half saturation for nanophyto 
+   REAL(wp), PUBLIC ::  concdfer    !:  Iron half saturation for diatoms  
+   REAL(wp), PUBLIC ::  concbno3    !:  NO3 half saturation  for bacteria 
+   REAL(wp), PUBLIC ::  concbnh4    !:  NH4 half saturation for bacteria
+   REAL(wp), PUBLIC ::  xsizedia    !:  Minimum size criteria for diatoms
+   REAL(wp), PUBLIC ::  xsizephy    !:  Minimum size criteria for nanophyto
+   REAL(wp), PUBLIC ::  xsizern     !:  Size ratio for nanophytoplankton
+   REAL(wp), PUBLIC ::  xsizerd     !:  Size ratio for diatoms
+   REAL(wp), PUBLIC ::  xksi1       !:  half saturation constant for Si uptake 
+   REAL(wp), PUBLIC ::  xksi2       !:  half saturation constant for Si/C 
+   REAL(wp), PUBLIC ::  xkdoc       !:  2nd half-sat. of DOC remineralization  
+   REAL(wp), PUBLIC ::  concbfe     !:  Fe half saturation for bacteria 
+   REAL(wp), PUBLIC ::  qnfelim     !:  optimal Fe quota for nanophyto
+   REAL(wp), PUBLIC ::  qdfelim     !:  optimal Fe quota for diatoms
+   REAL(wp), PUBLIC ::  caco3r      !:  mean rainratio 
 
    ! Coefficient for iron limitation
@@ -217,7 +217,14 @@
          &                concbno3, concbnh4, xsizedia, xsizephy, xsizern, xsizerd,          & 
          &                xksi1, xksi2, xkdoc, qnfelim, qdfelim, caco3r
-
-      REWIND( numnatp )                     ! read numnat
-      READ  ( numnatp, nampislim )
+      INTEGER :: ios                 ! Local integer output status for namelist read
+
+      REWIND( numnatp_ref )              ! Namelist nampislim in reference namelist : Pisces nutrient limitation parameters
+      READ  ( numnatp_ref, nampislim, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampislim in reference namelist', lwp )
+
+      REWIND( numnatp_cfg )              ! Namelist nampislim in configuration namelist : Pisces nutrient limitation parameters 
+      READ  ( numnatp_cfg, nampislim, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampislim in configuration namelist', lwp )
+      WRITE ( numonp, nampislim )
 
       IF(lwp) THEN                         ! control print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zlys.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zlys.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zlys.F90	(revision 4147)
@@ -32,6 +32,6 @@
 
    !! * Shared module variables
-   REAL(wp), PUBLIC :: kdca = 0.327e3_wp  !: diss. rate constant calcite
-   REAL(wp), PUBLIC :: nca  = 1.0_wp      !: order of reaction for calcite dissolution
+   REAL(wp), PUBLIC :: kdca !: diss. rate constant calcite
+   REAL(wp), PUBLIC :: nca  !: order of reaction for calcite dissolution
 
    !! * Module variables
@@ -188,4 +188,5 @@
       !!----------------------------------------------------------------------
       INTEGER  ::  ji, jj, jk
+      INTEGER  ::  ios                 ! Local integer output status for namelist read
       REAL(wp) ::  zcaralk, zbicarb, zco3
       REAL(wp) ::  ztmas, ztmas1
@@ -194,6 +195,12 @@
       !!----------------------------------------------------------------------
 
-      REWIND( numnatp )                     ! read numnatp
-      READ  ( numnatp, nampiscal )
+      REWIND( numnatp_ref )              ! Namelist nampiscal in reference namelist : Pisces CaCO3 dissolution
+      READ  ( numnatp_ref, nampiscal, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampiscal in reference namelist', lwp )
+
+      REWIND( numnatp_cfg )              ! Namelist nampiscal in configuration namelist : Pisces CaCO3 dissolution
+      READ  ( numnatp_cfg, nampiscal, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampiscal in configuration namelist', lwp )
+      WRITE ( numonp, nampiscal )
 
       IF(lwp) THEN                         ! control print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmeso.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmeso.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmeso.F90	(revision 4147)
@@ -31,22 +31,22 @@
 
    !! * Shared module variables
-   REAL(wp), PUBLIC ::  part2       = 0.5_wp     !: part of calcite not dissolved in mesozoo guts
-   REAL(wp), PUBLIC ::  xprefc      = 1.0_wp     !: mesozoo preference for POC 
-   REAL(wp), PUBLIC ::  xprefp      = 0.3_wp     !: mesozoo preference for nanophyto
-   REAL(wp), PUBLIC ::  xprefz      = 1.0_wp     !: mesozoo preference for diatoms
-   REAL(wp), PUBLIC ::  xprefpoc    = 0.3_wp     !: mesozoo preference for POC 
-   REAL(wp), PUBLIC ::  xthresh2zoo = 1E-8_wp    !: zoo feeding threshold for mesozooplankton 
-   REAL(wp), PUBLIC ::  xthresh2dia = 1E-8_wp    !: diatoms feeding threshold for mesozooplankton 
-   REAL(wp), PUBLIC ::  xthresh2phy = 2E-7_wp    !: nanophyto feeding threshold for mesozooplankton 
-   REAL(wp), PUBLIC ::  xthresh2poc = 1E-8_wp    !: poc feeding threshold for mesozooplankton 
-   REAL(wp), PUBLIC ::  xthresh2    = 0._wp      !: feeding threshold for mesozooplankton 
-   REAL(wp), PUBLIC ::  resrat2     = 0.005_wp   !: exsudation rate of mesozooplankton
-   REAL(wp), PUBLIC ::  mzrat2      = 0.04_wp    !: microzooplankton mortality rate 
-   REAL(wp), PUBLIC ::  grazrat2    = 0.9_wp     !: maximal mesozoo grazing rate
-   REAL(wp), PUBLIC ::  xkgraz2     = 20E-6_wp   !: non assimilated fraction of P by mesozoo 
-   REAL(wp), PUBLIC ::  unass2      = 0.3_wp     !: Efficicency of mesozoo growth 
-   REAL(wp), PUBLIC ::  sigma2      = 0.6_wp     !: Fraction of mesozoo excretion as DOM 
-   REAL(wp), PUBLIC ::  epsher2     = 0.3_wp     !: half sturation constant for grazing 2
-   REAL(wp), PUBLIC ::  grazflux    = 3.E3_wp    !: mesozoo flux feeding rate
+   REAL(wp), PUBLIC ::  part2        !: part of calcite not dissolved in mesozoo guts
+   REAL(wp), PUBLIC ::  xprefc       !: mesozoo preference for POC 
+   REAL(wp), PUBLIC ::  xprefp       !: mesozoo preference for nanophyto
+   REAL(wp), PUBLIC ::  xprefz       !: mesozoo preference for diatoms
+   REAL(wp), PUBLIC ::  xprefpoc     !: mesozoo preference for POC 
+   REAL(wp), PUBLIC ::  xthresh2zoo  !: zoo feeding threshold for mesozooplankton 
+   REAL(wp), PUBLIC ::  xthresh2dia  !: diatoms feeding threshold for mesozooplankton 
+   REAL(wp), PUBLIC ::  xthresh2phy  !: nanophyto feeding threshold for mesozooplankton 
+   REAL(wp), PUBLIC ::  xthresh2poc  !: poc feeding threshold for mesozooplankton 
+   REAL(wp), PUBLIC ::  xthresh2     !: feeding threshold for mesozooplankton 
+   REAL(wp), PUBLIC ::  resrat2      !: exsudation rate of mesozooplankton
+   REAL(wp), PUBLIC ::  mzrat2       !: microzooplankton mortality rate 
+   REAL(wp), PUBLIC ::  grazrat2     !: maximal mesozoo grazing rate
+   REAL(wp), PUBLIC ::  xkgraz2      !: non assimilated fraction of P by mesozoo 
+   REAL(wp), PUBLIC ::  unass2       !: Efficicency of mesozoo growth 
+   REAL(wp), PUBLIC ::  sigma2       !: Fraction of mesozoo excretion as DOM 
+   REAL(wp), PUBLIC ::  epsher2      !: half sturation constant for grazing 2
+   REAL(wp), PUBLIC ::  grazflux     !: mesozoo flux feeding rate
 
    !!* Substitution
@@ -255,7 +255,14 @@
          &                xprefpoc, xthresh2dia, xthresh2phy, xthresh2zoo, xthresh2poc, &
          &                xthresh2, xkgraz2, epsher2, sigma2, unass2, grazflux
-
-      REWIND( numnatp )                     ! read numnatp
-      READ  ( numnatp, nampismes )
+      INTEGER :: ios                 ! Local integer output status for namelist read
+
+      REWIND( numnatp_ref )              ! Namelist nampismes in reference namelist : Pisces mesozooplankton
+      READ  ( numnatp_ref, nampismes, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampismes in reference namelist', lwp )
+
+      REWIND( numnatp_cfg )              ! Namelist nampismes in configuration namelist : Pisces mesozooplankton
+      READ  ( numnatp_cfg, nampismes, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampismes in configuration namelist', lwp )
+      WRITE ( numonp, nampismes )
 
 
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmicro.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmicro.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmicro.F90	(revision 4147)
@@ -32,19 +32,19 @@
 
    !! * Shared module variables
-   REAL(wp), PUBLIC ::  part       = 0.5_wp     !: part of calcite not dissolved in microzoo guts
-   REAL(wp), PUBLIC ::  xpref2c    = 0.2_wp     !: microzoo preference for POC 
-   REAL(wp), PUBLIC ::  xpref2p    = 1.0_wp     !: microzoo preference for nanophyto
-   REAL(wp), PUBLIC ::  xpref2d    = 0.6_wp     !: microzoo preference for diatoms
-   REAL(wp), PUBLIC ::  xthreshdia = 1E-8_wp    !: diatoms feeding threshold for microzooplankton 
-   REAL(wp), PUBLIC ::  xthreshphy = 2E-7_wp    !: nanophyto threshold for microzooplankton 
-   REAL(wp), PUBLIC ::  xthreshpoc = 1E-8_wp    !: poc threshold for microzooplankton 
-   REAL(wp), PUBLIC ::  xthresh    = 0._wp      !: feeding threshold for microzooplankton 
-   REAL(wp), PUBLIC ::  resrat     = 0.03_wp    !: exsudation rate of microzooplankton
-   REAL(wp), PUBLIC ::  mzrat      = 0.0_wp     !: microzooplankton mortality rate 
-   REAL(wp), PUBLIC ::  grazrat    = 3.0_wp     !: maximal microzoo grazing rate
-   REAL(wp), PUBLIC ::  xkgraz     = 20E-6_wp   !: non assimilated fraction of P by microzoo 
-   REAL(wp), PUBLIC ::  unass      = 0.3_wp     !: Efficicency of microzoo growth 
-   REAL(wp), PUBLIC ::  sigma1     = 0.6_wp     !: Fraction of microzoo excretion as DOM 
-   REAL(wp), PUBLIC ::  epsher     = 0.3_wp     !: half sturation constant for grazing 1 
+   REAL(wp), PUBLIC ::  part        !: part of calcite not dissolved in microzoo guts
+   REAL(wp), PUBLIC ::  xpref2c     !: microzoo preference for POC 
+   REAL(wp), PUBLIC ::  xpref2p     !: microzoo preference for nanophyto
+   REAL(wp), PUBLIC ::  xpref2d     !: microzoo preference for diatoms
+   REAL(wp), PUBLIC ::  xthreshdia  !: diatoms feeding threshold for microzooplankton 
+   REAL(wp), PUBLIC ::  xthreshphy  !: nanophyto threshold for microzooplankton 
+   REAL(wp), PUBLIC ::  xthreshpoc  !: poc threshold for microzooplankton 
+   REAL(wp), PUBLIC ::  xthresh     !: feeding threshold for microzooplankton 
+   REAL(wp), PUBLIC ::  resrat      !: exsudation rate of microzooplankton
+   REAL(wp), PUBLIC ::  mzrat       !: microzooplankton mortality rate 
+   REAL(wp), PUBLIC ::  grazrat     !: maximal microzoo grazing rate
+   REAL(wp), PUBLIC ::  xkgraz      !: non assimilated fraction of P by microzoo 
+   REAL(wp), PUBLIC ::  unass       !: Efficicency of microzoo growth 
+   REAL(wp), PUBLIC ::  sigma1      !: Fraction of microzoo excretion as DOM 
+   REAL(wp), PUBLIC ::  epsher      !: half sturation constant for grazing 1 
 
 
@@ -225,7 +225,14 @@
          &                xpref2d,  xthreshdia,  xthreshphy,  xthreshpoc, &
          &                xthresh, xkgraz, epsher, sigma1, unass
-
-      REWIND( numnatp )                     ! read numnatp
-      READ  ( numnatp, nampiszoo )
+      INTEGER :: ios                 ! Local integer output status for namelist read
+
+      REWIND( numnatp_ref )              ! Namelist nampiszoo in reference namelist : Pisces microzooplankton
+      READ  ( numnatp_ref, nampiszoo, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampiszoo in reference namelist', lwp )
+
+      REWIND( numnatp_cfg )              ! Namelist nampiszoo in configuration namelist : Pisces microzooplankton
+      READ  ( numnatp_cfg, nampiszoo, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampiszoo in configuration namelist', lwp )
+      WRITE ( numonp, nampiszoo )
 
       IF(lwp) THEN                         ! control print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmort.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmort.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmort.F90	(revision 4147)
@@ -27,9 +27,9 @@
 
    !! * Shared module variables
-   REAL(wp), PUBLIC :: wchl   = 0.001_wp  !:
-   REAL(wp), PUBLIC :: wchld  = 0.02_wp   !:
-   REAL(wp), PUBLIC :: wchldm = 0.05_wp   !:
-   REAL(wp), PUBLIC :: mprat  = 0.01_wp   !:
-   REAL(wp), PUBLIC :: mprat2 = 0.01_wp   !:
+   REAL(wp), PUBLIC :: wchl    !:
+   REAL(wp), PUBLIC :: wchld   !:
+   REAL(wp), PUBLIC :: wchldm  !:
+   REAL(wp), PUBLIC :: mprat   !:
+   REAL(wp), PUBLIC :: mprat2  !:
 
 
@@ -239,7 +239,14 @@
 
       NAMELIST/nampismort/ wchl, wchld, wchldm, mprat, mprat2
-
-      REWIND( numnatp )                     ! read numnatp
-      READ  ( numnatp, nampismort )
+      INTEGER :: ios                 ! Local integer output status for namelist read
+
+      REWIND( numnatp_ref )              ! Namelist nampismort in reference namelist : Pisces phytoplankton
+      READ  ( numnatp_ref, nampismort, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampismort in reference namelist', lwp )
+
+      REWIND( numnatp_cfg )              ! Namelist nampismort in configuration namelist : Pisces phytoplankton
+      READ  ( numnatp_cfg, nampismort, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampismort in configuration namelist', lwp )
+      WRITE ( numonp, nampismort )
 
       IF(lwp) THEN                         ! control print
